package main;

import java.io.IOException;
import java.nio.file.Paths;

public class Main {
	
	public static void main(String[] args) throws IOException {
		
		Image input = new Image(Paths.get("Buildings.pgm"));
		
	
		Image out = EdgeDetection.detectEdges(input, 130, 200);
		out.save(Paths.get("out.pgm"));
		
		EdgeDetection.saveEdgeOverlay(input, 130, 200, Paths.get("out_overlay.png"));
	
	}
	


}
